;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; Copyright (c) 2002 TIMEX Corporation.
; 
; This document is the property of, and contains information proprietary to
; TIMEX Corporation.  It is to be returned upon request.  Reproduction by any
; means, disclosure, or use of its contents for other than the expressed
; purpose for which it is loaned, without the written consent of TIMEX
; Corporation, is strictly prohibited.
;
; File Name :   cntvars.h
; Purpose   :   Counter Application Variable Offsets
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;==============================================================================
;
; COUNTER APPLICATION SYSTEM DATA
;
;==============================================================================

CNTSYSTEMDATASTARTOFFSET        equ     0
CNTFLAGSOFFSET                  equ     0
    bCNTCountDown               equ     00000001B           ; b0 : 0 - Count up
                                                            ;    : 1 - Count down


; Storage for counter data in BCD format.
CNTDATALOOFFSET                 equ     1
CNTDATAHIOFFSET                 equ     2
CNTSYSTEMDATASIZE               equ     3


;==============================================================================
;
; COUNTER APPLICATION DATABASE DATA
;
;==============================================================================

CNTDATABASESTARTOFFSET          equ     CNTSYSTEMDATASIZE
CNTDATABASEDATASIZE             equ     0
CNTHEAPSIZEREQUIREMENTS         equ     (CNTSYSTEMDATASIZE + CNTDATABASEDATASIZE)




;==============================================================================
;
; VARIABLE REDEFINITIONS
;
;==============================================================================

CNTTempFlags                    equ     (COREForegroundCommonBuffer + 0)
    bCNTSetDirection            equ     00000001B           ; b0 : 0 - Change counter data.
                                                            ;    : 1 - Change direction.

