;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; Copyright (c) 2002 TIMEX Corporation.
; 
; This document is the property of, and contains information proprietary to
; TIMEX Corporation.  It is to be returned upon request.  Reproduction by any
; means, disclosure, or use of its contents for other than the expressed
; purpose for which it is loaned, without the written consent of TIMEX
; Corporation, is strictly prohibited.
;
; File Name    : cntsetbn.asm
; Purpose      : Counter Application Set Banner State Manager
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; Module Name : cntSetBannerStateManager
; Description : Counter Set Banner State Manager
; Assumptions : Display is cleared on first state entry
; Input(s)    : CORECurrentEvent - event for processing in state handler
; Output(s)   : None
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

        IF @DEF('SUBROUTINE')
            UNDEF SUBROUTINE
        ENDIF
        DEFINE  SUBROUTINE      "'cntSetBannerStateManager'"

        GLOBAL  cntSetBannerStateManager

cntSetBannerStateManager:

                ; Get the event to be processed.
                ld      A, [CORECurrentEvent]

                ; Check if State Entry Event.
                cp      A, #CNT_STATEENTRY
                jr      NZ, utlSetBannerStateManager; **EXTERNAL JUMP 

                ;**************************************************************
                ;
                ;                       STATE ENTRY
                ;
                ;**************************************************************

                LCD_DISP_SMALL_DM_MSG_SET_COUNTER

                jr      utlSetBannerStateManager    ; **EXTERNAL JUMP                


